#ifndef Jogrunner_h
#define Jogrunner_h

#include "Arduino.h" 
#include <LiquidCrystal.h>
#include <BasicStepperDriver.h>

class Jogrunner {

  public:
    Jogrunner(LiquidCrystal *lcd, BasicStepperDriver *stepper, int stepper_rpm);
    void start();
    void setSpeed(bool speed);
    void stop();
    void forward();
    void backward();

  private:
    LiquidCrystal *_lcd;
    BasicStepperDriver *_stepper;
    int _stepper_rpm;

};

#endif
